import genanki
from typing import Collection, List

from ankimaker import generator


class QuestionAnswerGenerator:
    def __init__(self):
        self.__model = generator.create_model()

    def get_cards(self, questions: Collection[str], answers: Collection[str]) -> List[genanki.Model]:
        assert len(questions) == len(answers)
        cards = list()
        for content_fields in zip(questions, answers):
            card = generator.create_note(self.__model, fields=content_fields)
            cards.append(card)
        return cards
